<template>
  <div
    style="position: relative;"
    :class="{'pageCard-dark': dark, 'pageCard-gradient': gradient, pageCard: bordering}">
    <div
      class="pageCard_inner flex flex-between flex-middle"
      :class="headerClasses"
      v-if="title">
      <div>
        <div
          v-if="pointed"
          class="pageCard_inner-point"
          :style="{backgroundColor: pointColor}">
        </div>
        <div class="pageCard_inner-title">
          <div>
            <span :style="{color: color, fontWeight:fontWeight, fontSize: titleSize}">{{title}}</span>
            <span
              class="pl-20 text-bold"
              style="color: #5f6c87;">
              <slot name="neartitle"></slot>
            </span>
          </div>
          <div
            class="pageCard_inner-additionalTitle text-bold"
            :style="{color: additionalTitleColor}"
            v-if="additionalTitle">
            {{additionalTitle}}
          </div>
        </div>
      </div>
      <div v-if="$slots.info">
        <slot name="info"></slot>
      </div>
    </div>
    <slot></slot>
  </div>
</template>

<script>
  export default {
    name: "PageCard",
    props: {
      pointed: {
        type: Boolean,
        default: true
      },
      headerClasses: {
        type: Array,
        default: () => []
      },
      dark: {
        type: Boolean,
        default: false
      },
      gradient: {
        type: Boolean,
        default: false
      },
      bordering: {
        type: Boolean,
        default: true
      },
      title: String,
      additionalTitle: String,
      color: {
        type: String,
        default: 'inherit'
      },
      fontWeight: {
        type: String,
        default: '500'
      },
      titleSize: {
        type: String,
        default: '1rem'
      },
      pointColor: {
        type: String,
        default: '#00bdc5'
      },
      additionalTitleColor: String
    }
  }
</script>
